idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.Prover

Description

Synopsis

- prover :: ElabInfo -> Bool -> Bool -> Name -> Idris ()
- showProof :: Bool -> Name -> [String] -> String
- showRunElab :: Bool -> Name -> [String] -> String

# Documentation

prover :: ElabInfo -> Bool -> Bool -> Name -> Idris () #

Launch the proof shell

showProof :: Bool -> Name -> [String] -> String #

showRunElab :: Bool -> Name -> [String] -> String #